import http from './http.js'
const request=http.request

// Pad商品版式布局列表
export function $layout(params) {
  return request({
    url: '/api/pad/layout/list',
    method: "get",
    params:{
		userId: uni.getStorageSync("shopUserId"),
		shopId: uni.getStorageSync("shopId"),
		...params
	}
  });
}
/**
 * 清空历史订单
 * @returns
 */
export function cancelOrder(data, urlType = 'order') {
	return request({
		url: `/${urlType}/admin/order/cancelOrder`,
		method: "POST",
		data: {
			...data
		}
	})
}

// Pad点餐列表
export function $layoutpage(params) {
  return request({
    url: '/account/admin/padProd',
    method: "get",
    params:{
		// userId: uni.getStorageSync("shopUserId"),
		// shopId: uni.getStorageSync("shopId"),
		...params
	}
  });
}
//获取详情

export function $productCategory(id) {
  return request({
    url: '/account/admin/padProd/detail?id='+id,
    method: "get",
    params:{
		// userId: uni.getStorageSync("shopUserId"),
		// shopId: uni.getStorageSync("shopId"),
	}
  });
}
